<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.2) on Mon Dec 28 23:27:42 EST 2020 -->
<title>SimpleSpellingBeeGame</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-12-28">
<meta name="description" content="declaration: package: spellingbee.server, class: SimpleSpellingBeeGame">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleSpellingBeeGame.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">spellingbee.server</a></div>
<h1 title="Class SimpleSpellingBeeGame" class="title">Class SimpleSpellingBeeGame</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">spellingbee.server.SimpleSpellingBeeGame</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">SimpleSpellingBeeGame</span>
extends java.lang.Object
implements <a href="ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></pre>
<div class="block">Date 2020-12-28
 This class hold all information regarding the spellingbee game
 It is on the server side</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sammy Pantaleon-Hernandez</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">SimpleSpellingBeeGame</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAllLetters()">getAllLetters</a></span>()</code></th>
<td class="colLast">
<div class="block">This method returns the letters necessary</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>int[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBrackets()">getBrackets</a></span>()</code></th>
<td class="colLast">
<div class="block">This method returns how many points the user needs to have in order to rank higher</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>char</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCenterLetter()">getCenterLetter</a></span>()</code></th>
<td class="colLast">
<div class="block">This method returns the mandatory letter</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMessage(java.lang.String)">getMessage</a></span>&#8203;(java.lang.String&nbsp;attempt)</code></th>
<td class="colLast">
<div class="block">This method takes the attempt string, split it into an array, make the array a list to figue out
if the list contains the center letter.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPointsForWord(java.lang.String)">getPointsForWord</a></span>&#8203;(java.lang.String&nbsp;attempt)</code></th>
<td class="colLast">
<div class="block">The method takes the length of the attempt and show the correct amount of point the attempt is worth</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getScore()">getScore</a></span>()</code></th>
<td class="colLast">
<div class="block">This method returns the current score of the user</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">SimpleSpellingBeeGame</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">SimpleSpellingBeeGame</span>()</div>
<div class="block">Constructor</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getBrackets()">getBrackets</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int[]</span>&nbsp;<span class="memberName">getBrackets</span>()</div>
<div class="block">This method returns how many points the user needs to have in order to rank higher</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="ISpellingBeeGame.html#getBrackets()">getBrackets</a></code>&nbsp;in interface&nbsp;<code><a href="ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ranks</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getPointsForWord(java.lang.String)">getPointsForWord</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getPointsForWord</span>&#8203;(<span class="arguments">java.lang.String&nbsp;attempt)</span></div>
<div class="block">The method takes the length of the attempt and show the correct amount of point the attempt is worth</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="ISpellingBeeGame.html#getPointsForWord(java.lang.String)">getPointsForWord</a></code>&nbsp;in interface&nbsp;<code><a href="ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attempt</code> - of user</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>points</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMessage(java.lang.String)">getMessage</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getMessage</span>&#8203;(<span class="arguments">java.lang.String&nbsp;attempt)</span></div>
<div class="block">This method takes the attempt string, split it into an array, make the array a list to figue out
if the list contains the center letter. It also looks if the attempt string is part of the accepted words
calls the getPointsForWord method to assign the points</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="ISpellingBeeGame.html#getMessage(java.lang.String)">getMessage</a></code>&nbsp;in interface&nbsp;<code><a href="ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attempt</code> - of the user</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>message if it a valid or invalid input</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getAllLetters()">getAllLetters</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getAllLetters</span>()</div>
<div class="block">This method returns the letters necessary</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="ISpellingBeeGame.html#getAllLetters()">getAllLetters</a></code>&nbsp;in interface&nbsp;<code><a href="ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>allLeters</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCenterLetter()">getCenterLetter</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">char</span>&nbsp;<span class="memberName">getCenterLetter</span>()</div>
<div class="block">This method returns the mandatory letter</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="ISpellingBeeGame.html#getCenterLetter()">getCenterLetter</a></code>&nbsp;in interface&nbsp;<code><a href="ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>centerLetter</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getScore()">getScore</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getScore</span>()</div>
<div class="block">This method returns the current score of the user</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="ISpellingBeeGame.html#getScore()">getScore</a></code>&nbsp;in interface&nbsp;<code><a href="ISpellingBeeGame.html" title="interface in spellingbee.server">ISpellingBeeGame</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>score</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleSpellingBeeGame.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
